https://github.com/zaps166/QMPlay2/commit/9744ec588866505dfd1020c28191be0d4b22f09a
From: =?UTF-8?q?B=C5=82a=C5=BCej=20Szczygie=C5=82?= <mumei6102@gmail.com>
Date: Mon, 16 Jun 2025 19:28:50 +0200
Subject: [PATCH] Revert "CMake: Fix QmVk link on Android"

This reverts commit bec93ba8cecab44e49b7b521e038983ef621123c.
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -434,11 +434,7 @@ find_package(${QT_PREFIX}Svg REQUIRED)
 
 if(USE_VULKAN)
     set(Vulkan_INCLUDE_DIRS "${CMAKE_SOURCE_DIR}/src/qmplay2/vulkan/headers/include")
-    if(ANDROID)
-        set(QMVK_LIBRARY_TYPE OBJECT)
-    else()
-        set(QMVK_LIBRARY_TYPE STATIC)
-    endif()
+    set(QMVK_LIBRARY_TYPE STATIC)
     set(QMVK_USE_PCH ${USE_PCH})
     set(QMVK_WAIT_TIMEOUT_MS 2500)
     add_subdirectory(src/qmvk)
--- a/src/qmplay2/CMakeLists.txt
+++ b/src/qmplay2/CMakeLists.txt
@@ -388,17 +388,10 @@ target_link_libraries(${PROJECT_NAME}
     ${LIBQMPLAY2_LIBS}
 )
 if(USE_VULKAN)
-    if(ANDROID)
-        target_link_libraries(${PROJECT_NAME}
-            PRIVATE
-            $<TARGET_OBJECTS:QmVk>
-        )
-    else()
-        target_link_libraries(${PROJECT_NAME}
-            PRIVATE
-            $<TARGET_LINKER_FILE:QmVk>
-        )
-    endif()
+    target_link_libraries(${PROJECT_NAME}
+        PRIVATE
+        $<TARGET_LINKER_FILE:QmVk>
+    )
     target_compile_definitions(${PROJECT_NAME}
         PUBLIC
         $<TARGET_PROPERTY:QmVk,INTERFACE_COMPILE_DEFINITIONS>
https://github.com/zaps166/QMPlay2/commit/b26912bc727d32252d741afe4cc49b21d9f90708
From: =?UTF-8?q?B=C5=82a=C5=BCej=20Szczygie=C5=82?= <mumei6102@gmail.com>
Date: Mon, 16 Jun 2025 19:37:05 +0200
Subject: [PATCH] CMake: Don't create QmVk static library

This reverts commit 01f37839191f7ee7a6fd5ccd4cf8c160c2b9c1a6.

Closes #916
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -434,7 +434,6 @@ find_package(${QT_PREFIX}Svg REQUIRED)
 
 if(USE_VULKAN)
     set(Vulkan_INCLUDE_DIRS "${CMAKE_SOURCE_DIR}/src/qmplay2/vulkan/headers/include")
-    set(QMVK_LIBRARY_TYPE STATIC)
     set(QMVK_USE_PCH ${USE_PCH})
     set(QMVK_WAIT_TIMEOUT_MS 2500)
     add_subdirectory(src/qmvk)
--- a/src/qmplay2/CMakeLists.txt
+++ b/src/qmplay2/CMakeLists.txt
@@ -390,7 +390,7 @@ target_link_libraries(${PROJECT_NAME}
 if(USE_VULKAN)
     target_link_libraries(${PROJECT_NAME}
         PRIVATE
-        $<TARGET_LINKER_FILE:QmVk>
+        $<FILTER:$<TARGET_OBJECTS:QmVk>,EXCLUDE,.*\\.[gp]ch>
     )
     target_compile_definitions(${PROJECT_NAME}
         PUBLIC
